org.vishia.guiInspc

## Class InspcGui.InspcGuiCfg

- java.lang.Object
- - org.vishia.gral.area9.GuiCfg
  - - org.vishia.guiInspc.InspcGui.InspcGuiCfg

- Enclosing class:
    InspcGui

      private class InspcGui.InspcGuiCfg
      extends GuiCfg

  Overrides the GuiCfg with special initialization and methods.

- - ### Field Summary

    - ### Fields inherited from class org.vishia.gral.area9.GuiCfg

      `_gralMng, actionFile, console, gui, guiAccess, guiCfgData, guiW, mainCmd, mainTabPanel, panelBuildIfc, plugUser2Gui, user, version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InspcGuiCfg(InspcGui.CallingArguments cargs, GralArea9MainCmd cmdgui, GralPlugUser2Gral_ifc plugUser2Gui)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `finishMain()` This routine is called on end of main-execution.
    `protected void` | `initGuiAreas(java.lang.String sAreaMainPanel)` Initializes the areas for the panels and configure the panels.
    `protected void` | `initMain()`
    `protected void` | `stepMain()`

    - ### Methods inherited from class org.vishia.gral.area9.GuiCfg

      `appendTextInfoBox, execute, get, getPluggedUser, initMenuGralDesigner, main, setTextInfoBox, showInfoBox, userInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InspcGuiCfg

          InspcGuiCfg(InspcGui.CallingArguments cargs,
                      GralArea9MainCmd cmdgui,
                      GralPlugUser2Gral_ifc plugUser2Gui)

  - ### Method Detail

    - #### initGuiAreas

          protected void initGuiAreas(java.lang.String sAreaMainPanel)

      Initializes the areas for the panels and configure the panels. This routine overrides `GuiCfg#initGuiAreas()` and calls its super. Additional some user initialization is done.
      Overrides:
        `initGuiAreas` in class `GuiCfg`

    - #### initMain

          protected void initMain()

      Overrides:
        `initMain` in class `GuiCfg`

    - #### stepMain

          protected void stepMain()

      Overrides:
        `stepMain` in class `GuiCfg`

    - #### finishMain

          protected void finishMain()

      Description copied from class: `GuiCfg`
      This routine is called on end of main-execution. This default implementation calls `Closeable.close()`.
      Overrides:
        `finishMain` in class `GuiCfg`